<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

$APIS = [
    "ping" => [
        "load" => "ping.php",
        "vars" => [
        ]
    ],
//    "gis/geocode" => [
//        "load" => "gis.geocode.php",
//        "vars" => [
//            "latitude" => "/\-?[0-9]{1,3}(\.[0-9]{0,10})?/",
//            "longitude" => "/\-?[0-9]{1,3}(\.[0-9]{0,10})?/",
//            "nocache (optional)" => ""
//        ]
//    ],
    "gis/geocode/reverse" => [
        "load" => "gis.geocode.reverse.php",
        "vars" => [
            "latitude" => "/\-?[0-9]{1,3}(\.[0-9]{0,10})?/",
            "longitude" => "/\-?[0-9]{1,3}(\.[0-9]{0,10})?/"
        ]
    ],
    "gis/weather" => [
        "load" => "gis.weather.php",
        "vars" => [
            "latitude" => "/\-?[0-9]{1,3}(\.[0-9]{0,10})?/",
            "longitude" => "/\-?[0-9]{1,3}(\.[0-9]{0,10})?/",
            "nocache (optional)" => ""
        ]
    ],
    "network/whois" => [
        "load" => "network.whois.php",
        "vars" => [
            "domain" => "/\b((?=[a-z0-9-]{1,63}\.)(xn--)?[a-z0-9]+(-[a-z0-9]+)*\.)+[a-z]{2,63}\b/",
            "nocache (optional)" => ""
        ]
    ]
];
