<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

$SETTINGS = [
    "debugmode" => true,
    "database" => [
        "database_type" => "mysql",
        "database_name" => "mysql",
        "server" => "localhost",
        "username" => "root",
        "password" => "",
        "charset" => "utf8"
    ],
    "memcached" => [
        "enable" => true,
        "server" => "127.0.0.1",
        "port" => 11211,
        "prefix" => "apiserver"
    ],
    // If this is running in a subfolder, set it accordingly or things will be strange
    // Include trailing slash
    "urlbase" => "/",

    "openweathermap_appid" => "",
    "weather_summary_hours" => 8,

    "mapquest_key" => ""
];